

from .Segment import Segment
class Wall:
    
    def __init__(self, rail: Segment) -> None:
        self.rail: Segment = rail
        
    def to_dict(self) -> dict[str: dict]:
        
        data = {
            "rail": self.rail.to_dict(),
        }
        
        return data